> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twexapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Grok Conversation

> Get Grok conversation detail by conversation id.



## OpenAPI

````yaml /api-reference/openapi.json post /v3/twitter/grok/conversation
openapi: 3.1.0
info:
  title: Twitter API Service
  description: |2-

            A comprehensive Twitter API service that provides various Twitter operations including:
            
            * **Search Operations**: Advanced search, hashtags, cashtags
            * **Tweet Operations**: Post, like, retweet, quote, bookmark, delete
            * **User Operations**: Batch user information retrieval
            * **Influencer Operations**: Get tweets from top influencers
            
            All endpoints return standardized responses in the format:
            ```json
            {
                "code": 200,
                "msg": "success", 
                "data": {...}
            }
            ```
            
            ## Authentication
            
            This API uses Bearer token authentication. Include your token in the Authorization header:
            ```
            Authorization: Bearer your_token_here
            ```
            
  contact:
    name: API Support
    email: support@twitterxapi.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twexapi.io
    description: Development server
security: []
paths:
  /v3/twitter/grok/conversation:
    post:
      tags:
        - Grok Endpoints
      summary: Get Grok Conversation
      description: Get Grok conversation detail by conversation id.
      operationId: grok_conversation_api_v3_twitter_grok_conversation_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrokConversationQuery'
        required: true
      responses:
        '200':
          description: Grok conversation messages.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GrokConversationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GrokConversationQuery:
      properties:
        conversation_id:
          type: string
          title: Conversation Id
          description: Grok conversation rest id.
          example: '2063972906435248338'
        cookie:
          type: string
          title: Cookie
          description: >-
            Twitter authentication cookie or Twitter auth_token,
            [how-to-get-twitter-cookie](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie)
          example: ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7
        proxy:
          anyOf:
            - type: string
            - type: 'null'
          title: Proxy
          description: 'Proxy ref for session. Example: http://username:password@ip:port'
          example: http://username:password@ip:port
      type: object
      required:
        - conversation_id
        - cookie
      title: GrokConversationQuery
      description: Parameters for getting a Grok conversation detail
    GrokConversationResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response code
          example: 200
        msg:
          type: string
          title: Msg
          description: Response message
          example: success
        data:
          anyOf:
            - $ref: '#/components/schemas/GrokConversationData'
            - type: 'null'
          description: Grok conversation detail
      type: object
      required:
        - code
        - msg
      title: GrokConversationResponse
      description: Response for Grok conversation detail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GrokConversationData:
      properties:
        conversation_id:
          type: string
          title: Conversation Id
          description: Grok conversation rest id
        is_pinned:
          type: boolean
          title: Is Pinned
          description: Whether the conversation is pinned
          default: false
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
          description: Pagination cursor
        items:
          items:
            $ref: '#/components/schemas/GrokConversationItem'
          type: array
          title: Items
          description: Conversation items
      type: object
      required:
        - conversation_id
      title: GrokConversationData
      description: Grok conversation detail payload
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GrokConversationItem:
      properties:
        chat_item_id:
          type: string
          title: Chat Item Id
          description: Chat item id
          example: '2063977852924837888'
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: Message content
        sender_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Type
          description: 'Sender type: User or Agent'
          example: User
        created_at_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At Ms
          description: Created at timestamp in ms
        grok_mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Grok Mode
          description: Grok mode
          example: Normal
        thinking_trace:
          anyOf:
            - type: string
            - type: 'null'
          title: Thinking Trace
          description: Thinking trace text
        image_urls:
          items:
            type: string
          type: array
          title: Image Urls
          description: Generated image urls from card attachments
      type: object
      required:
        - chat_item_id
      title: GrokConversationItem
      description: Grok conversation message item
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````